package com.cnd3b.restcontroller.enterprise.agentwebclient.usercenter.promoters;

import com.cnd3b.common.Controller;
import com.cnd3b.common.data.Rows;
import com.cnd3b.common.data.SQLFactory;

import com.alibaba.fastjson.JSONObject;
public class promoters extends Controller {
    public promoters(JSONObject content) {
        super(content);
    }

    /**
     * 二级推广人列表查询
     *
     * @return
     */
    public String query_promoterList() {
        SQLFactory sqlFactory = new SQLFactory(this, "二级推广人名单");
        sqlFactory.addParameter("userid", userid);
        sqlFactory.addParameter("siteid", siteid);
        sqlFactory.addParameter("tagentsid", tagentsid);
        Rows rows = dbConnect.runSqlQuery(sqlFactory.getSQL());
        return getSucReturnObject().setData(rows).saveToDataPool().toString();
    }


}
